--公会对抗 规则界面
Lua_AllianceDuelRuleWindow = class("Lua_AllianceDuelRuleWindow", Lua_Window);

function Lua_AllianceDuelRuleWindow:ctor()
	self:superCall("ctor");

	self.isClickClose = true;
	self.showBlackMask = true;

	self.windowName = "Lua_AllianceDuelRuleWindow";
	self.skinName = "AllianceDuelRuleWindow_skin";
end

function Lua_AllianceDuelRuleWindow:buildPanel(go)
	self:superCall("buildPanel", go);
end

function Lua_AllianceDuelRuleWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragContainer = Lua_DragContainer.new(self.content, 564, 760, Lua_AxisDefine.Vertical);
	self.dragContainer:setLocation(0, -30, 0);

	local config = DataCenter.allianceUtil.getLeagueDuelRuleConfig;
	if config ~= nil then
		for i = 1, #config do
			self.dragContainer:addSubContainer(Lua_AllianceDuelRuleItem, config[i], false);
		end
		self.dragContainer:updateChildPos();
	end
end

function Lua_AllianceDuelRuleWindow:dispose()
	if self.dragContainer ~= nil then
		self.dragContainer:dispose();
		self.dragContainer = nil;
	end
	self:superCall("dispose");
end
























Lua_AllianceDuelRuleItem = class("Lua_AllianceDuelRuleItem", Lua_DragContainerItem);

function Lua_AllianceDuelRuleItem:ctor(p)
    self:superCall("ctor", p, "AllianceDuelRuleItem_skin");
end

function Lua_AllianceDuelRuleItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_AllianceDuelRuleItem:dispose()
    self:superCall("dispose");
end

function Lua_AllianceDuelRuleItem:setData(data)
	self.titleTxt.text = data.title;
	self.contentTxt.text = data.content;
	self.contentTxt:resetSize();
end

function Lua_AllianceDuelRuleItem:getWidth()
    return 570;
end

function Lua_AllianceDuelRuleItem:getHeight()
    return self.contentTxt.preferredHeight + 80;
end