--联盟系统 日志Item
Lua_AllianceLogItem = class("Lua_AllianceLogItem", Lua_DragContainerItem);

function Lua_AllianceLogItem:ctor(p)
    self:superCall("ctor", p, "AllianceLogItem_skin");
end

function Lua_AllianceLogItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_AllianceLogItem:dispose()
    self:superCall("dispose");
end

function Lua_AllianceLogItem:setData(logArr)
	self.titleTxt.text = tostring(os.date("%m-%d", logArr[1].log_tick));

	local len = logArr:getSize();
	local showStr = "";
	local showTime;
	for i = 1, len do
		showTime = tostring(os.date("%H:%M", logArr[i].log_tick));
		showStr = LanUtil.StringProfile(showStr, showTime, Lua_SpaceDefine.SPACE_4, logArr[i].content);
		if i < len then
			showStr = showStr.."\n";
		end
	end
	self.contentTxt.text = "<color=#846651>"..showStr.."</color>";
	self.contentTxt:resetSize();
end

function Lua_AllianceLogItem:getWidth()
    return 634;
end

function Lua_AllianceLogItem:getHeight()
    return self.contentTxt.height + 50;
end