--联盟系统 主界面Window
checkRequire("Lua_MyAlliancePanel");
checkRequire("Lua_AllianceListPanel");
Lua_AllianceMainWindow = class("Lua_AllianceMainWindow", Lua_Window);

function Lua_AllianceMainWindow:ctor()
	self:superCall("ctor");

	self.isFullSizeWin = true;
	self.isFullPaving = true;
	self.showBlackMask = true;
	self.layer = MainWinDefine.MAIN_MENU_TOP_LAYER;
	self.showWinBg = true;
	self.winBgPath = "/images/alliance/ui_sq_bj_002.jpg";
	self.windowName = "Lua_AllianceMainWindow";

	self:addPreLoadRes("/images/alliance/ui_sq_bj_002.jpg", Lua_LoadFileType.IMG);
	if DataCenter.roleData.league_id == 0 then
		self:addPreLoadRes("/images/alliance/ui_sq_bj_001.jpg", Lua_LoadFileType.IMG);
	end
	
end

function Lua_AllianceMainWindow:buildPanel(go)
	self:superCall("buildPanel", go);
	self:addLuaEvent("CHECK_LEAGUE_INFO", self, self.initPanel);
end

function Lua_AllianceMainWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.downBg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "ui_common_widget_005", 0, 60.5, 720, 121);
	self.downBg.anchorValue = 7;
	self:createBackBtn();
	self:initPanel();
end

function Lua_AllianceMainWindow:onBackBtnClick(go)
	local vo = DataCenter.funcPathUtil:getFuncPathVo(1001)
	if vo.isShowing then
		self:hide();
	else
		DataCenter.funcPathUtil:gotoFunction(1001, true);
	end
end

function Lua_AllianceMainWindow:dispose()
	if self.curPanel ~= nil then
		self.curPanel:dispose();
		self.curPanel = nil;
	end
	self:superCall("dispose");
end

function Lua_AllianceMainWindow:initPanel()
	local panel;
	if DataCenter.roleData.league_id ~= 0 then
		panel = Lua_MyAlliancePanel;
	else
		panel = Lua_AllianceListPanel;
	end
	if self.curPanel == panel then return end;
	-- self.winBg:setEnable(DataCenter.roleData.league_id ~= 0);

	if self.curPanel ~= nil then
		self.curPanel:dispose();
		self.curPanel = nil;
	end
	self.curPanel = panel.new(self.content);
	self.curPanel:setSiblingIndex(self.downBg.siblingIndex);
	self.curPanel:setRectAnchor(9);
end
