--联盟系统 红包排行Window
Lua_AllianceRedPacketRankPanel = class("Lua_AllianceRedPacketRankPanel", Lua_DisplayObject);

function Lua_AllianceRedPacketRankPanel:ctor(p)
self:superCall("ctor", p, "AllianceRedPacketRankPanel_skin");
end

function Lua_AllianceRedPacketRankPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.bg1:SetDimensions(720, 938 + self.adaptHeight);

	self:addLuaEvent("UPDATE_LEAGUE_REDPACKET_RANK", self, self.updateData);

	Lua_ProxyManager.getProxy("Lua_AllianceProxy"):sllianceRedPacketRank();

	self.dragList = Lua_DragList.new(self.content, 700, 900 + self.adaptHeight, Lua_AxisDefine.Vertical);
	self.dragList:setListCell(Lua_AllianceRedPacketRankItem, 700, 145, 1);
    self.dragList:setLocation(0, -135, 0);
    self.dragList.tweenId = 2010;
end

function Lua_AllianceRedPacketRankPanel:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end
	self:superCall("dispose");
end

function Lua_AllianceRedPacketRankPanel:onScreenResize(adaptHeight)
	self:superCall("onScreenResize", adaptHeight);

	self.bg1:SetDimensions(720, 938 + adaptHeight);
	self.dragList:setContentRect(700, 900 + adaptHeight);
end

function Lua_AllianceRedPacketRankPanel:updateData(data)
	self.dragList:setArrayData(data.rank_member_info);
end















Lua_AllianceRedPacketRankItem = class("Lua_AllianceRedPacketRankItem", Lua_ListCell);

function Lua_AllianceRedPacketRankItem:ctor(p)
	self:superCall("ctor", p, "AllianceRedPacketRankItem_skin");
end

function Lua_AllianceRedPacketRankItem:buildShowItem()
	self:superCall("buildShowItem");

	self.avatarItem = Lua_AvatarItem.new(self.content);
	self.avatarItem:setScale(0.7, 0.7);
	self.avatarItem:setLocation(-165, 0, 0);
end

function Lua_AllianceRedPacketRankItem:dispose()
	if self.avatarItem ~= nil then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	self:superCall("dispose");
end

function Lua_AllianceRedPacketRankItem:setData(data)
	if data.rank <= 3 then
		self.topSp:setAltas("common_altas_3", "ui_djc_window_00" .. data.rank);
		if self.rankNum ~= nil then
			self.rankNum:setEnable(false);
		end
	else
		self.topSp:setAltas("common_altas_3", "ui_djc_window_004");
		if self.rankNum == nil then
			self.rankNum = Lua_NumberImage.new(self.content);
			self.rankNum.pivot = 0;
			self.rankNum.numOffsetX = -5;
			self.rankNum.numAtlas = "number";
			self.rankNum.preStr = "ui_djc_title_0";
		end
		self.rankNum.num = data.rank;
		self.rankNum:setEnable(true);
		self.rankNum:setLocation(-288, 0, 0);
	end

	self.nameTxt.text = data.league_member_info.show.name;
	self.detailTxt.text = LanUtil.formateStr(201191, data.price, data.welfare_red_pack_num);
	self.avatarItem:setRoleDressUp(data.league_member_info.show.dress_info)
end