--联盟系统 联盟科技节点Item
Lua_AllianceSciencePointItem = class("Lua_AllianceSciencePointItem", Lua_DisplayObject);

function Lua_AllianceSciencePointItem:ctor(p)
	self:superCall("ctor", p, "AllianceSciencePropItem_skin");
end

function Lua_AllianceSciencePointItem:buildShowItem()
	self:superCall("buildShowItem");

	self.isShow = false;
end

function Lua_AllianceSciencePointItem:dispose()
	Lua_CommonUtil.removeTimer(self, self.showNextEff);
	TweenUtil.getInstance():stop(self.content);
	TweenUtil.getInstance():stop(self.addObj);

	if self.eff ~= nil then
		self.eff:dispose();
		self.eff = nil;
	end
	self:superCall("dispose");
end

function Lua_AllianceSciencePointItem:setData(data, isShow, isNext, isTween)
	self.icon:setAltas(data.icon[1], data.icon[2]);
	self.lvTxt.text = data.level;

	if isShow and not self.isShow then
		self.bg:setAltas("alliance_atlas_2", "ui_sq_window_023");
	else
		self.bg:setAltas("alliance_atlas_2", "ui_sq_window_021");
	end

	if isNext then
		local str = "";
		local propArr = data.propArr;
		if propArr ~= nil then
			for i = 1, propArr:getSize() do
				str = str .. propArr[i].show_name .. "<color=#30f451>+" .. propArr[i].showValue .. "</color>";
			end
			self.showTxt.text = str;
		end
	end
	self.addObj:SetActive(isNext and not self.isShow and not isTween);
end

function Lua_AllianceSciencePointItem:showEff()
	if self.eff == nil then
		self.eff = UICreate.createUIEffect(self.content, "/effects/uiEffects/ui_gh_jqdl_02", "ui_gh_jqdl_02", 0, 0);
	else
		self.eff:setEnable(false);
		self.eff:setEnable(true);
	end
	self.isShow = true;
	Lua_CommonUtil.delayCall(0.6, self, self.showNextEff);
end

function Lua_AllianceSciencePointItem:showNextEff()
	self.isShow = false;
	self.bg:setAltas("alliance_atlas_2", "ui_sq_window_023");
	self.eff:setEnable(false);
	self.addObj:SetActive(false);
end

function Lua_AllianceSciencePointItem:startTween()
	TweenUtil.getInstance():stop(self.addObj);
	self.addObj:SetActive(true);
	LuaUtil.setObjScale(self.addObj, 1.35, 1.35, 1.35);
	TweenUtil.getInstance():addTweenTargetScale(self.addObj, 0.5, 0, 1, 1, 1);
end